# Generated from setup-5.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name setup

Name: rubygem-%{gem_name}
Version: 5.2.0
Release: 1%{?dist}
Summary: Setup.rb as a stand-alone application
License: BSD-2-Clause and LGPL-2.0+
URL: http://rubyworks.github.com/setup
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(detroit)
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(ae)
BuildArch: noarch

%description
Every Rubyist is aware of Minero Aoki's ever useful setup.rb script. 
It's how most of us used to install our Ruby programs before RubyGems
came along. And it's still mighty useful in certain scenarios, not the
least of which is the job of the distribution package managers. While
still providing the usual setup.rb script that one can distribute with
a project, Setup also works as a stand-alone application. Instead of
distributing setup.rb with a package, just instruct your users to install
Ruby Setup and use it instead.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
popd

%files
%dir %{gem_instdir}
%{_bindir}/setup.rb
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/NOTICE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 5.2.0-1
- Initial package
